2

I'm using Ubuntu 18.04 LTS and last night I had an update to the version. now when I'm trying to run the ubuntu-software\gnome-software and after it loads it writes "software catalog is being loaded" that load the main screen and crush (not 100% certain it's correlate to the update last night cause I haven't entered the software center in weeks)

I tried running

gdb ubuntu-software

and used

run

and I get this message

Starting program: /usr/bin/ubuntu-software 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[New Thread 0x7fffe7246700 (LWP 5986)]
[New Thread 0x7fffe6a45700 (LWP 5987)]
[New Thread 0x7fffe4b4c700 (LWP 5988)]
[New Thread 0x7fffcea52700 (LWP 5989)]
05:59:34:0280 Gs  enabled plugins: os-release, packagekit-refresh,systemd-updates, packagekit-upgrade, packagekit-proxy, fwupd, packagekit-refine-repos, packagekit, ubuntuone, desktop-categories, packagekit-offline, shell-extensions, packagekit-url-to-app, packagekit-local, appstream, steam, hardcoded-blacklist, ubuntu-reviews, generic-updates, desktop-menu-path, modalias, hardcoded-popular, rewrite-resource, hardcoded-featured, packagekit-refine, provenance, snap, packagekit-history, icons, provenance-license, key-colors, key-colors-metadata
05:59:34:0280 Gs  disabled plugins: dummy, dpkg, repos, epiphany, odrs
[New Thread 0x7fffcc829700 (LWP 5990)]
[New Thread 0x7fffc79f9700 (LWP 5996)]
05:59:34:0870 PK  internal error: failed, but no error code: cancelled-priority
[New Thread 0x7fffc71f8700 (LWP 6000)]
[New Thread 0x7fffc69f7700 (LWP 6001)]
[New Thread 0x7fffc61f6700 (LWP 6002)]
[New Thread 0x7fffc59f5700 (LWP 6003)]
[Thread 0x7fffc59f5700 (LWP 6003) exited]
[Thread 0x7fffc71f8700 (LWP 6000) exited]
[Thread 0x7fffc69f7700 (LWP 6001) exited]
[New Thread 0x7fffc69f7700 (LWP 6005)]
[New Thread 0x7fffc71f8700 (LWP 6006)]
[New Thread 0x7fffc59f5700 (LWP 6007)]
[New Thread 0x7fffc51f4700 (LWP 6008)]
05:59:34:0921 Gs  Only 0 apps for recent list, hiding

Thread 7 "pool" received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fffc79f9700 (LWP 5996)]
0x00007ffff7428694 in g_date_time_to_unix ()
from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0

I tried reinstalling the libglib and tried upgrading but nothing seems to work if anyone have a solution I will be happy thanks for those who help

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.